Loading...
Searching...
No Matches
unity::shell::scopes::CategoriesInterface Class Referenceabstract

A list of categories for a particular search. More...

`#include <unity/shell/scopes/CategoriesInterface.h>`

Inheritance diagram for unity::shell::scopes::CategoriesInterface:
[legend]
Collaboration diagram for unity::shell::scopes::CategoriesInterface:
[legend]

## Public Types

enum | Roles { RoleCategoryId , RoleName , RoleIcon , RoleRawRendererTemplate , RoleRenderer , RoleComponents , RoleHeaderLink , RoleResults , RoleCount }
| The roles supported by this model.

## Public Member Functions

virtual Q_INVOKABLE bool | overrideCategoryJson (QString const &categoryId, QString const &json)=0
| Override definition of a category by passing a custom JSON string.

## Detailed Description

A list of categories for a particular search.

This model exposes all categories and their properties (including the results model itself) associated with a particular search.

## Member Function Documentation

## overrideCategoryJson()

virtual Q_INVOKABLE bool unity::shell::scopes::CategoriesInterface::overrideCategoryJson | ( | QString const & | categoryId,
|  | QString const & | json )

pure virtual

Override definition of a category by passing a custom JSON string.

A method that helps with scope development, where the renderer definition can be overridden from within the shell.

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/CategoriesInterface.h